Qt Cryptographic Architecture: QCA::CRLEntry Class Reference

# QCA::CRLEntry Class Reference
[QCA user API]

Part of a CRL representing a single certificate. More...

`#include <QtCrypto>`

Collaboration diagram for QCA::CRLEntry:

[legend]

List of all members.

## Public Types
enum | Reason { Unspecified, KeyCompromise, CACompromise, AffiliationChanged, Superseded, CessationOfOperation, CertificateHold, RemoveFromCRL, PrivilegeWithdrawn, AACompromise }
## Public Member Functions
| CRLEntry (const CRLEntry &from)
| CRLEntry (const BigInteger serial, const QDateTime &time, Reason r=Unspecified)
| CRLEntry (const Certificate &c, Reason r=Unspecified)
| CRLEntry ()
bool | isNull () const
bool | operator!= (const CRLEntry &other) const
bool | operator< (const CRLEntry &a) const
CRLEntry & | operator= (const CRLEntry &from)
bool | operator== (const CRLEntry &a) const
Reason | reason () const
BigInteger | serialNumber () const
QDateTime | time () const

## Detailed Description

Part of a CRL representing a single certificate.

## Member Enumeration Documentation

enum QCA::CRLEntry::Reason

The reason why the certificate has been revoked.

Enumerator:

  Unspecified | reason is unknown
  KeyCompromise | private key has been compromised
  CACompromise | certificate authority has been compromised
  Superseded | certificate has been superseded
  CertificateHold | certificate is on hold
  RemoveFromCRL | certificate was previously in a CRL, but is now valid
  AACompromise | attribute authority has been compromised

## Constructor & Destructor Documentation

QCA::CRLEntry::CRLEntry | ( |  | ) |

create an empty CRL entry

QCA::CRLEntry::CRLEntry | ( | const Certificate & | c,
|  | Reason | r = `Unspecified` |
| ) |  |  | `[explicit]`

create a CRL entry

Parameters:

  | c | the certificate to revoke
  | r | the reason that the certificate is being revoked

QCA::CRLEntry::CRLEntry | ( | const BigInteger | serial,
|  | const QDateTime & | time,
|  | Reason | r = `Unspecified` |
| ) |  |  |

create a CRL entry

Parameters:

  | serial | the serial number of the Certificate being revoked
  | time | the time the Certificate was revoked (or will be revoked)
  | r | the reason that the certificate is being revoked

QCA::CRLEntry::CRLEntry | ( | const CRLEntry & | from | ) |

Copy constructor.

Parameters:

  | from | the CRLEntry to copy from

## Member Function Documentation

bool QCA::CRLEntry::isNull | ( |  | ) | const

Test if this CRL entry is empty.

bool QCA::CRLEntry::operator!= | ( | const CRLEntry & | other | ) | const`[inline]`

Inequality operator.

Parameters:

  | other | the CRL entry to be compared to this CRL entry.

bool QCA::CRLEntry::operator< | ( | const CRLEntry & | a | ) | const

Test if one CRL entry is "less than" another.

CRL entries are compared based on their serial number

Parameters:

  | a | the CRL entry to be compared to this CRL entry.

CRLEntry& QCA::CRLEntry::operator= | ( | const CRLEntry & | from | ) |

Standard assignment operator.

Parameters:

  | from | the CRLEntry to copy from

bool QCA::CRLEntry::operator== | ( | const CRLEntry & | a | ) | const

Test for equality of two CRL Entries.

Parameters:

  | a | the CRL entry to be compared to this CRL entry.

Returns:
  true if the two certificates are the same

Reason QCA::CRLEntry::reason | ( |  | ) | const

The reason that this CRL entry was created.

Alternatively, you might like to think of this as the reason that the subject certificate has been revoked

BigInteger QCA::CRLEntry::serialNumber | ( |  | ) | const

The serial number of the certificate that is the subject of this CRL entry.

QDateTime QCA::CRLEntry::time | ( |  | ) | const

The time this CRL entry was created.

The documentation for this class was generated from the following file:

- qca_cert.h